Jump to content

Trouble Downloading GC'es to my GPS


jststmpit
Followers 1

Recommended Posts

I've been having trouble downloading GC'es to my GPS. I have an Delorme Earthmate PN-20, that I've been using since 2009. When I go to "send to my gps", when it gets to "checking for browser plug in" ...it says it can not find it, to download it here. I've clicked that button so many times, I have more than 5 copies of that plug in now. :( Last week, while travelling, and wanting to GC, I had a new msg. pop up. It says, "NPAPI plugins don't work on Chrome Version 42 and higher"...also "support has ended." I did all that was instructed in enabling the plugins, but it still is not working.

 

Also, I tried a different browser, as prior to Windows 10, Internet Explorer was working for me, to download GC'es, but now, that doesn't work either.

 

Please help. Is my gps obsolete all of a sudden? I do not have a smart phone, and am wondering if I need to get a new gps. I hope not, as it is not in the budget right now.

 

Thanks.

 

Jststmpit

Link to comment

It's my understanding that NPAPI plugins are rapidly being phased out, although the garmin communicator works for me in windows 10 with Firefox. You might check to see if you are using Edge as a default browser, since that does not support plugins. Since the PN-20 uses a proprietary format, using a program like GSAK or Easy GPS to transfer cache files to your unit might be a longer lasting alternative - if either of them supports the unit.

Edited by geodarts
Link to comment

I also have a PN 20 and a PN 60. I use internet explorer 11. The send to GPS plugin works fine for me with both units.

The plugin is not specific to the PN model, it works for all PN models. Chrome no longer supports the plugin though.

I also use firefox which I just recently installed. The plugin works fine with that also. You may have to tell firefox not to block it.

On my first use of the plugin it did not work, then I noticed a box asking me if I wanted to keep blocking that plugin.

I told firefox to allow and all is good now.

Edited by Mn-treker
Link to comment

It's my understanding that NPAPI plugins are rapidly being phased out, although the garmin communicator works for me in windows 10 with Firefox. You might check to see if you are using Edge as a default browser, since that does not support plugins. Since the PN-20 uses a proprietary format, using a program like GSAK or Easy GPS to transfer cache files to your unit might be a longer lasting alternative - if either of them supports the unit.

 

Thank you so much for your help.

Link to comment

I also have a PN 20 and a PN 60. I use internet explorer 11. The send to GPS plugin works fine for me with both units.

The plugin is not specific to the PN model, it works for all PN models. Chrome no longer supports the plugin though.

I also use firefox which I just recently installed. The plugin works fine with that also. You may have to tell firefox not to block it.

On my first use of the plugin it did not work, then I noticed a box asking me if I wanted to keep blocking that plugin.

I told firefox to allow and all is good now.

 

Thanks for your help. I have the Chrome browser that I use full time, but an Internet Explorer shortcut on my desktop. I had Firefox a few years ago on other pc, but have not installed it on my laptop. I may have to do that. Sad about Chrome, as I really like using that as my main browser. Thanks for taking the time to help me out.

Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Followers 1
×
×
  • Create New...